package info.aspirecn.cloud.yysj.entity.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 身份响应信息
 *
 * @author baizehui
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class IdentityInfoResponse {
	@ApiModelProperty(value = "用户id")
	private String userId;
	@ApiModelProperty(value = "请求id")
	private String reqId;
	@ApiModelProperty(value = "姓名")
	private String name;
	@ApiModelProperty(value = "身份证号")
	private String idNumber;
	@ApiModelProperty(value = "eid身份标识")
	private String appeIdCode;
	@ApiModelProperty(value = "eid验证凭证")
	private String eidVoucher;
	@ApiModelProperty(value = "相似度")
	private String similarity;
    @ApiModelProperty(value = "核验结果")
    private String verificationResult;
    @ApiModelProperty(value = "请求时间")
    private String requestTime;

}
